| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Data Fields
OutputStream Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
const AVClass * | clazz
int | file_index
int | index
InputStream * | ist
AVStream * | st
int64_t | vsync_frame_number
int64_t | next_pts
int64_t | last_mux_dts
int64_t | last_filter_pts
int64_t | ts_copy_start
AVRational | mux_timebase
AVRational | enc_timebase
AVCodecContext * | enc_ctx
AVFrame * | filtered_frame
AVFrame * | last_frame
AVFrame * | sq_frame
AVPacket * | pkt
int64_t | last_dropped
int64_t | last_nb0_frames [3]
AVRational | frame_rate
AVRational | max_frame_rate
enum VideoSyncMethod | vsync_method
int | is_cfr
int | force_fps
int | top_field_first
int | rotate_overridden
int | autoscale
int | bitexact
int | bits_per_raw_sample
double | rotate_override_value
AVRational | frame_aspect_ratio
KeyframeForceCtx | kf
int * | audio_channels_map
int | audio_channels_mapped
char * | logfile_prefix
FILE * | logfile
OutputFilter * | filter
char * | avfilter
char * | filters
| filtergraph associated to the -filter option
char * | filters_script
| filtergraph script associated to the -filter_script option
AVDictionary * | encoder_opts
AVDictionary * | sws_dict
AVDictionary * | swr_opts
char * | apad
OSTFinished | finished
int | unavailable
int | initialized
int | inputs_done
const char * | attachment_filename
int | streamcopy_started
int | copy_initial_nonkeyframes
int | copy_prior_start
int | keep_pix_fmt
uint64_t | data_size_mux
uint64_t | data_size_enc
atomic_uint_least64_t | packets_written
uint64_t | frames_encoded
uint64_t | samples_encoded
uint64_t | packets_encoded
int | quality
int | pict_type
int64_t | error [4]
int | sq_idx_encode
int | sq_idx_mux
EncStats | enc_stats_pre
EncStats | enc_stats_post
unsigned int | fix_sub_duration_heartbeat

## Detailed Description

Definition at line 611 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ apad

char* OutputStream::apad

Definition at line 688 of file fftools_ffmpeg.h.

## ◆ attachment_filename

const char* OutputStream::attachment_filename

Definition at line 699 of file fftools_ffmpeg.h.

## ◆ audio_channels_map

int* OutputStream::audio_channels_map

Definition at line 673 of file fftools_ffmpeg.h.

## ◆ audio_channels_mapped

int OutputStream::audio_channels_mapped

Definition at line 674 of file fftools_ffmpeg.h.

## ◆ autoscale

int OutputStream::autoscale

Definition at line 660 of file fftools_ffmpeg.h.

## ◆ avfilter

char* OutputStream::avfilter

Definition at line 681 of file fftools_ffmpeg.h.

## ◆ bitexact

int OutputStream::bitexact

Definition at line 661 of file fftools_ffmpeg.h.

## ◆ bits_per_raw_sample

int OutputStream::bits_per_raw_sample

Definition at line 662 of file fftools_ffmpeg.h.

## ◆ clazz

const AVClass* OutputStream::clazz

Definition at line 612 of file fftools_ffmpeg.h.

## ◆ copy_initial_nonkeyframes

int OutputStream::copy_initial_nonkeyframes

Definition at line 701 of file fftools_ffmpeg.h.

## ◆ copy_prior_start

int OutputStream::copy_prior_start

Definition at line 702 of file fftools_ffmpeg.h.

## ◆ data_size_enc

uint64_t OutputStream::data_size_enc

Definition at line 710 of file fftools_ffmpeg.h.

## ◆ data_size_mux

uint64_t OutputStream::data_size_mux

Definition at line 708 of file fftools_ffmpeg.h.

## ◆ enc_ctx

AVCodecContext* OutputStream::enc_ctx

Definition at line 642 of file fftools_ffmpeg.h.

## ◆ enc_stats_post

EncStats OutputStream::enc_stats_post

Definition at line 732 of file fftools_ffmpeg.h.

## ◆ enc_stats_pre

EncStats OutputStream::enc_stats_pre

Definition at line 731 of file fftools_ffmpeg.h.

## ◆ enc_timebase

AVRational OutputStream::enc_timebase

Definition at line 640 of file fftools_ffmpeg.h.

## ◆ encoder_opts

AVDictionary* OutputStream::encoder_opts

Definition at line 685 of file fftools_ffmpeg.h.

## ◆ error

int64_t OutputStream::error[4]

Definition at line 726 of file fftools_ffmpeg.h.

## ◆ file_index

int OutputStream::file_index

Definition at line 614 of file fftools_ffmpeg.h.

## ◆ filter

OutputFilter* OutputStream::filter

Definition at line 680 of file fftools_ffmpeg.h.

## ◆ filtered_frame

AVFrame* OutputStream::filtered_frame

Definition at line 643 of file fftools_ffmpeg.h.

## ◆ filters

char* OutputStream::filters

filtergraph associated to the -filter option

Definition at line 682 of file fftools_ffmpeg.h.

## ◆ filters_script

char* OutputStream::filters_script

filtergraph script associated to the -filter_script option

Definition at line 683 of file fftools_ffmpeg.h.

## ◆ finished

OSTFinished OutputStream::finished

Definition at line 689 of file fftools_ffmpeg.h.

## ◆ fix_sub_duration_heartbeat

unsigned int OutputStream::fix_sub_duration_heartbeat

Definition at line 738 of file fftools_ffmpeg.h.

## ◆ force_fps

int OutputStream::force_fps

Definition at line 655 of file fftools_ffmpeg.h.

## ◆ frame_aspect_ratio

AVRational OutputStream::frame_aspect_ratio

Definition at line 667 of file fftools_ffmpeg.h.

## ◆ frame_rate

AVRational OutputStream::frame_rate

Definition at line 651 of file fftools_ffmpeg.h.

## ◆ frames_encoded

uint64_t OutputStream::frames_encoded

Definition at line 714 of file fftools_ffmpeg.h.

## ◆ index

int OutputStream::index

Definition at line 615 of file fftools_ffmpeg.h.

## ◆ initialized

int OutputStream::initialized

Definition at line 695 of file fftools_ffmpeg.h.

## ◆ inputs_done

int OutputStream::inputs_done

Definition at line 697 of file fftools_ffmpeg.h.

## ◆ is_cfr

int OutputStream::is_cfr

Definition at line 654 of file fftools_ffmpeg.h.

## ◆ ist

InputStream* OutputStream::ist

Definition at line 620 of file fftools_ffmpeg.h.

## ◆ keep_pix_fmt

int OutputStream::keep_pix_fmt

Definition at line 704 of file fftools_ffmpeg.h.

## ◆ kf

KeyframeForceCtx OutputStream::kf

Definition at line 669 of file fftools_ffmpeg.h.

## ◆ last_dropped

int64_t OutputStream::last_dropped

Definition at line 647 of file fftools_ffmpeg.h.

## ◆ last_filter_pts

int64_t OutputStream::last_filter_pts

Definition at line 631 of file fftools_ffmpeg.h.

## ◆ last_frame

AVFrame* OutputStream::last_frame

Definition at line 644 of file fftools_ffmpeg.h.

## ◆ last_mux_dts

int64_t OutputStream::last_mux_dts

Definition at line 629 of file fftools_ffmpeg.h.

## ◆ last_nb0_frames

int64_t OutputStream::last_nb0_frames[3]

Definition at line 648 of file fftools_ffmpeg.h.

## ◆ logfile

FILE* OutputStream::logfile

Definition at line 678 of file fftools_ffmpeg.h.

## ◆ logfile_prefix

char* OutputStream::logfile_prefix

Definition at line 677 of file fftools_ffmpeg.h.

## ◆ max_frame_rate

AVRational OutputStream::max_frame_rate

Definition at line 652 of file fftools_ffmpeg.h.

## ◆ mux_timebase

AVRational OutputStream::mux_timebase

Definition at line 639 of file fftools_ffmpeg.h.

## ◆ next_pts

int64_t OutputStream::next_pts

Definition at line 627 of file fftools_ffmpeg.h.

## ◆ packets_encoded

uint64_t OutputStream::packets_encoded

Definition at line 717 of file fftools_ffmpeg.h.

## ◆ packets_written

atomic_uint_least64_t OutputStream::packets_written

Definition at line 712 of file fftools_ffmpeg.h.

## ◆ pict_type

int OutputStream::pict_type

Definition at line 723 of file fftools_ffmpeg.h.

## ◆ pkt

AVPacket* OutputStream::pkt

Definition at line 646 of file fftools_ffmpeg.h.

## ◆ quality

int OutputStream::quality

Definition at line 720 of file fftools_ffmpeg.h.

## ◆ rotate_overridden

int OutputStream::rotate_overridden

Definition at line 658 of file fftools_ffmpeg.h.

## ◆ rotate_override_value

double OutputStream::rotate_override_value

Definition at line 664 of file fftools_ffmpeg.h.

## ◆ samples_encoded

uint64_t OutputStream::samples_encoded

Definition at line 715 of file fftools_ffmpeg.h.

## ◆ sq_frame

AVFrame* OutputStream::sq_frame

Definition at line 645 of file fftools_ffmpeg.h.

## ◆ sq_idx_encode

int OutputStream::sq_idx_encode

Definition at line 728 of file fftools_ffmpeg.h.

## ◆ sq_idx_mux

int OutputStream::sq_idx_mux

Definition at line 729 of file fftools_ffmpeg.h.

## ◆ st

AVStream* OutputStream::st

Definition at line 622 of file fftools_ffmpeg.h.

## ◆ streamcopy_started

int OutputStream::streamcopy_started

Definition at line 700 of file fftools_ffmpeg.h.

## ◆ swr_opts

AVDictionary* OutputStream::swr_opts

Definition at line 687 of file fftools_ffmpeg.h.

## ◆ sws_dict

AVDictionary* OutputStream::sws_dict

Definition at line 686 of file fftools_ffmpeg.h.

## ◆ top_field_first

int OutputStream::top_field_first

Definition at line 656 of file fftools_ffmpeg.h.

## ◆ ts_copy_start

int64_t OutputStream::ts_copy_start

Definition at line 636 of file fftools_ffmpeg.h.

## ◆ unavailable

int OutputStream::unavailable

Definition at line 690 of file fftools_ffmpeg.h.

## ◆ vsync_frame_number

int64_t OutputStream::vsync_frame_number

Definition at line 624 of file fftools_ffmpeg.h.

## ◆ vsync_method

enum VideoSyncMethod OutputStream::vsync_method

Definition at line 653 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h